/*
For testing:
- a large number of controls (for redraw in particular)
- disable/enable
*/

TestGui("Tab")
TestGui("Tab2")
TestGui("Tab3")
return

TestGui(ctrl) {
    global
    Gui New, +LabelGui -DPIScale
    try
        Gui Add, %ctrl%, Theme w300 h300, Tab 1|Tab 2
    catch {
        Gui Destroy
        return
    }
    Gui Tab
    Gui Add, Button, gButtonDisableEnable, Disable/Enable
    Gui Tab, 1
    Gui Add, Text, Section Hide
    Loop 10 {
        Gui Add, Button, % "w10 xs " (A_Index=1 ? "ys" : "y+0")
        Loop 26
            Gui Add, Button, w10 x+0
    }
    Gui Tab, 2
    Gui Add, Text, BackgroundTrans cBlue, Readme
    Gui Add, Edit,, Edit this
    Gui Add, Button,, &Do nothing
    Gui Add, Link,, <a>Do nothing</a>
    Gui Add, Checkbox,, Check that
    static count := 0
    Gui Show, % "x" (100+count*360) " h350", Testing %ctrl% %opt%
    count++
}

ButtonDisableEnable:
GuiControlGet enabled, Enabled, SysTabControl321
GuiControl % enabled ? "Disable" : "Enable", SysTabControl321
return

GuiClose:
GuiEscape:
ExitApp